Package org.apache.tools.ant.taskdefs

# Class LoadResource

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.LoadResource

All Implemented Interfaces:
  `java.lang.Cloneable`

Direct Known Subclasses:
  `LoadFile`

    public class LoadResource
    extends Task

Load a resource into a property

Since:
  Ant 1.7

## Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`LoadResource()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `addConfigured​(ResourceCollection a)` | Set the source resource.
`void` | `addFilterChain​(FilterChain filter)` | Add the FilterChain element.
`void` | `execute()` | read in a source file to a property
`void` | `setEncoding​(java.lang.String encoding)` | Encoding to use for input, defaults to the platform's default encoding.
`void` | `setFailonerror​(boolean fail)` | If true, fail on load error.
`void` | `setProperty​(java.lang.String property)` | Property name to save to.
`void` | `setQuiet​(boolean quiet)` | If true, suppress the load error report and set the the failonerror value to false.

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoadResource

public LoadResource()

## Method Details

### setEncoding

public final void setEncoding​(java.lang.String encoding)
Encoding to use for input, defaults to the platform's default encoding.

For a list of possible values see https://docs.oracle.com/javase/8/docs/technotes/guides/intl/encoding.doc.html .

Parameters:
  `encoding` - The new Encoding value

### setProperty

public final void setProperty​(java.lang.String property)
Property name to save to.

Parameters:
  `property` - The new Property value

### setFailonerror

public final void setFailonerror​(boolean fail)
If true, fail on load error.

Parameters:
  `fail` - The new Failonerror value

### setQuiet

public void setQuiet​(boolean quiet)
If true, suppress the load error report and set the the failonerror value to false.

Parameters:
  `quiet` - The new Quiet value

### execute

public final void execute() throws BuildException
read in a source file to a property

Overrides:
  `execute` in class `Task`
Throws:
  `BuildException` - if something goes wrong with the build

### addFilterChain

public final void addFilterChain​(FilterChain filter)
Add the FilterChain element.

Parameters:
  `filter` - the filter to add

### addConfigured

public void addConfigured​(ResourceCollection a)
Set the source resource.

Parameters:
  `a` - the resource to load as a single element Resource collection.